diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/nrctbl.c tin-2.6.5/src/nrctbl.c
--- tin-2.6.4/src/nrctbl.c	2024-12-05 21:43:49.000000000 +0100
+++ tin-2.6.5/src/nrctbl.c	2025-12-17 07:58:47.713403629 +0100
@@ -3,13 +3,13 @@
  *  Module    : nrctbl.c
  *  Author    : Sven Paulus <sven@tin.org>
  *  Created   : 1996-10-06
- *  Updated   : 2024-12-05
+ *  Updated   : 2025-12-17
  *  Notes     : This module does the NNTP server name lookup in
  *              ~/.tin/newsrctable and returns the real hostname
  *              and the name of the newsrc file for a given
  *              alias of the server.
  *
- * Copyright (c) 1996-2025 Sven Paulus <sven@tin.org>
+ * Copyright (c) 1996-2026 Sven Paulus <sven@tin.org>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -74,7 +74,7 @@ write_newsrctable_file(
 	if ((fp = fopen(newsrctable_file, "w")) == NULL)
 		return;
 
-	fprintf(fp, _(txt_nrctbl_info), PRODUCT, VERSION);
+	fprintf(fp, _(txt_nrctbl_info), PRODUCT);
 #ifdef HAVE_FCHMOD
 	fchmod(fileno(fp), (mode_t) (S_IRUSR|S_IWUSR));
 #else
@@ -97,7 +97,7 @@ void
 get_nntpserver(
 	char *nntpserver_name,
 	size_t nntpserver_name_len,
-	char *nick_name)
+	const char *nick_name)
 {
 	FILE *fp;
 	char *line_entry;
@@ -161,7 +161,7 @@ get_newsrcname(
 					ns = my_malloc(l);
 					nsp = my_malloc(l);
 					sprintf(ns, "[%s]", nntpserver_name);
-					sprintf(nsp, "[%s]:%u", nntpserver_name, nntp_tcp_port);
+					sprintf(nsp, "[%s]:%u", nntpserver_name, (unsigned int) nntp_tcp_port);
 				}
 			}
 		}
@@ -170,10 +170,10 @@ get_newsrcname(
 		if (!nsp) {
 			/* add [] and/or port if required */
 			nsp = my_malloc(l);
-			sprintf(nsp, "%s:%u", nntpserver_name, nntp_tcp_port);
+			sprintf(nsp, "%s:%u", nntpserver_name, (unsigned int) nntp_tcp_port);
 		}
 
-		while ((fgets(line, (int) sizeof(line), fp) != NULL) && (found != 1)) {
+		while ((fgets(line, sizeof(line), fp) != NULL) && (found != 1)) {
 			if (strchr("# ;", line[0])) /* comment? */
 				continue;
 
@@ -181,7 +181,7 @@ get_newsrcname(
 			while ((line_entry = strtok(line_entry_counter ? NULL : line, " \t\n")) != NULL) {
 				++line_entry_counter;
 
-				if ((line_entry_counter == 1) && ((!strcasecmp(line_entry,nsp)) || (!strcasecmp(line_entry, ns)))) {
+				if ((line_entry_counter == 1) && ((!strcasecmp(line_entry, nsp)) || (!strcasecmp(line_entry, ns)))) {
 					found = 1;
 					do_cpy = TRUE;
 				}
@@ -248,7 +248,12 @@ get_newsrcname(
 			}
 
 			if (error) {
-				char ch, default_ch = 'a';
+#if defined(MULTIBYTE_ABLE) && !defined(NO_LOCALE)
+				wint_t ch, default_ch = 'a';
+#else
+				char default_ch = 'a';
+				int ch;
+#endif /* MULTIBYTE_ABLE && !NO_LOCALE */
 
 				do {
 					/* very ugly code, but curses is not initialized yet */
@@ -258,7 +263,11 @@ get_newsrcname(
 					} else
 						my_printf("%s%c\b", _(txt_nrctbl_default), default_ch);
 
-					if ((ch = (char) ReadCh()) == '\r' || ch == '\n')
+#if defined(MULTIBYTE_ABLE) && !defined(NO_LOCALE)
+					if (((ch = ReadWch()) == '\n') || (ch == '\r'))
+#else
+					if (((ch = (char) ReadCh()) == '\r') || (ch == '\n'))
+#endif /* MULTIBYTE_ABLE && !NO_LOCALE */
 						ch = default_ch;
 				} while (ch != ESC && ch != 'a' && ch != 'c' && ch != 'd' && ch != 'q');
 				my_printf("%c\n", ch);
